org.freedesktop.icons

## Class ApplicationIcon

- Object
- - org.freedesktop.icons.Icon
  - - org.freedesktop.icons.ApplicationIcon

-     public class ApplicationIcon
      extends Icon

  Named icons representing individual applications.
  Since:
    4.0.17
  Author:
    Guillaume Mazoyer, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icon` | `ACCESSORIES_CALCULATOR`
    `static Icon` | `ACCESSORIES_CHARACTER_MAP`
    `static Icon` | `ACCESSORIES_DICTIONARY`
    `static Icon` | `ACCESSORIES_TEXT_EDITOR`
    `static Icon` | `APPLETS_SCREENSHOOTER`
    `static Icon` | `HELP_BROWSER`
    `static Icon` | `LOGVIEWER`
    `static Icon` | `MULTIMEDIA_VOLUME_CONTROL`
    `static Icon` | `PREFERENCES_DESKTOP_ACCESSIBILITY`
    `static Icon` | `PREFERENCES_DESKTOP_DISPLAY`
    `static Icon` | `PREFERENCES_DESKTOP_FONT`
    `static Icon` | `PREFERENCES_DESKTOP_KEYBOARD`
    `static Icon` | `PREFERENCES_DESKTOP_KEYBOARD_SHORTCUTS`
    `static Icon` | `PREFERENCES_DESKTOP_LOCALE`
    `static Icon` | `PREFERENCES_DESKTOP_REMOTE_DESKTOP`
    `static Icon` | `PREFERENCES_DESKTOP_SCREENSAVER`
    `static Icon` | `PREFERENCES_DESKTOP_THEME`
    `static Icon` | `PREFERENCES_DESKTOP_WALLPAPER`
    `static Icon` | `PREFERENCES_SYSTEM_WINDOWS`
    `static Icon` | `SYSTEM_FILE_MANAGER`
    `static Icon` | `SYSTEM_SOFTWARE_INSTALL`
    `static Icon` | `SYSTEM_SOFTWARE_UPDATE`
    `static Icon` | `SYSTEM_USERS`
    `static Icon` | `USER_INFO`
    `static Icon` | `UTILITIES_SYSTEM_MONITOR`
    `static Icon` | `UTILITIES_TERMINAL`
    `static Icon` | `WEB_BROWSER`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCESSORIES_CALCULATOR

          public static final Icon ACCESSORIES_CALCULATOR

    - #### ACCESSORIES_CHARACTER_MAP

          public static final Icon ACCESSORIES_CHARACTER_MAP

    - #### ACCESSORIES_DICTIONARY

          public static final Icon ACCESSORIES_DICTIONARY

    - #### ACCESSORIES_TEXT_EDITOR

          public static final Icon ACCESSORIES_TEXT_EDITOR

    - #### APPLETS_SCREENSHOOTER

          public static final Icon APPLETS_SCREENSHOOTER

    - #### HELP_BROWSER

          public static final Icon HELP_BROWSER

    - #### LOGVIEWER

          public static final Icon LOGVIEWER

    - #### MULTIMEDIA_VOLUME_CONTROL

          public static final Icon MULTIMEDIA_VOLUME_CONTROL

    - #### PREFERENCES_DESKTOP_ACCESSIBILITY

          public static final Icon PREFERENCES_DESKTOP_ACCESSIBILITY

    - #### PREFERENCES_DESKTOP_DISPLAY

          public static final Icon PREFERENCES_DESKTOP_DISPLAY

    - #### PREFERENCES_DESKTOP_FONT

          public static final Icon PREFERENCES_DESKTOP_FONT

    - #### PREFERENCES_DESKTOP_KEYBOARD

          public static final Icon PREFERENCES_DESKTOP_KEYBOARD

    - #### PREFERENCES_DESKTOP_KEYBOARD_SHORTCUTS

          public static final Icon PREFERENCES_DESKTOP_KEYBOARD_SHORTCUTS

    - #### PREFERENCES_DESKTOP_LOCALE

          public static final Icon PREFERENCES_DESKTOP_LOCALE

    - #### PREFERENCES_DESKTOP_REMOTE_DESKTOP

          public static final Icon PREFERENCES_DESKTOP_REMOTE_DESKTOP

    - #### PREFERENCES_DESKTOP_SCREENSAVER

          public static final Icon PREFERENCES_DESKTOP_SCREENSAVER

    - #### PREFERENCES_DESKTOP_THEME

          public static final Icon PREFERENCES_DESKTOP_THEME

    - #### PREFERENCES_DESKTOP_WALLPAPER

          public static final Icon PREFERENCES_DESKTOP_WALLPAPER

    - #### PREFERENCES_SYSTEM_WINDOWS

          public static final Icon PREFERENCES_SYSTEM_WINDOWS

    - #### SYSTEM_FILE_MANAGER

          public static final Icon SYSTEM_FILE_MANAGER

    - #### SYSTEM_SOFTWARE_INSTALL

          public static final Icon SYSTEM_SOFTWARE_INSTALL

    - #### SYSTEM_SOFTWARE_UPDATE

          public static final Icon SYSTEM_SOFTWARE_UPDATE

    - #### SYSTEM_USERS

          public static final Icon SYSTEM_USERS

    - #### USER_INFO

          public static final Icon USER_INFO

    - #### UTILITIES_SYSTEM_MONITOR

          public static final Icon UTILITIES_SYSTEM_MONITOR

    - #### UTILITIES_TERMINAL

          public static final Icon UTILITIES_TERMINAL

    - #### WEB_BROWSER

          public static final Icon WEB_BROWSER